<HTML>
<HEAD><TITLE>Place & Route Report</TITLE>
<STYLE TYPE="text/css">
<!--
 body,pre{    font-family:'Courier New', monospace;    color: #000000;    font-size:88%;    background-color: #ffffff;}h1 {    font-weight: bold;    margin-top: 24px;    margin-bottom: 10px;    border-bottom: 3px solid #000;    font-size: 1em;}h2 {    font-weight: bold;    margin-top: 18px;    margin-bottom: 5px;    font-size: 0.90em;}h3 {    font-weight: bold;    margin-top: 12px;    margin-bottom: 5px;    font-size: 0.80em;}p {    font-size:78%;}P.Table {    margin-top: 4px;    margin-bottom: 4px;    margin-right: 4px;    margin-left: 4px;}table{    border-width: 1px 1px 1px 1px;    border-style: solid solid solid solid;    border-color: black black black black;    border-collapse: collapse;}th {    font-weight:bold;    padding: 4px;    border-width: 1px 1px 1px 1px;    border-style: solid solid solid solid;    border-color: black black black black;    vertical-align:top;    text-align:left;    font-size:78%;}td {    padding: 4px;    border-width: 1px 1px 1px 1px;    border-style: solid solid solid solid;    border-color: black black black black;    vertical-align:top;    font-size:78%;}a {    color:#013C9A;    text-decoration:none;}a:visited {    color:#013C9A;}a:hover, a:active {    text-decoration:underline;    color:#5BAFD4;}.pass{background-color: #00ff00;}.fail{background-color: #ff0000;}.comment{    font-size: 90%;    font-style: italic;}
-->
</STYLE>
</HEAD>
<PRE><A name="Par"></A>PAR: Place And Route Diamond (64-bit) 3.12.0.240.2.
Copyright (c) 1991-1994 by NeoCAD Inc. All rights reserved.
Copyright (c) 1995 AT&amp;T Corp.   All rights reserved.
Copyright (c) 1995-2001 Lucent Technologies Inc.  All rights reserved.
Copyright (c) 2001 Agere Systems   All rights reserved.
Copyright (c) 2002-2020 Lattice Semiconductor Corporation,  All rights reserved.
Fri Oct 27 15:57:45 2023

C:/lscc/diamond/3.12/ispfpga\bin\nt64\par -f GENDECAL_GEN1.p2t
GENDECAL_GEN1_map.ncd GENDECAL_GEN1.dir GENDECAL_GEN1.prf -gui -msgset
C:/Users/User.DESKTOP-9HJ28HQ/Documents/COURS/L2 GEII/S3/TEMP EER/Gen decalage/promote.xml


Preference file: GENDECAL_GEN1.prf.

<A name="par_cts"></A><B><U><big>Cost Table Summary</big></U></B>
Level/       Number       Worst        Timing       Worst        Timing       Run          NCD
Cost [ncd]   Unrouted     Slack        Score        Slack(hold)  Score(hold)  Time         Status
----------   --------     -----        ------       -----------  -----------  ----         ------
5_1   *      0            478.195      0            0.372        0            11           Completed
* : Design saved.

Total (real) run time for 1-seed: 11 secs 

par done!

Note: user must run &apos;Trace&apos; for timing closure signoff.

Lattice Place and Route Report for Design &quot;GENDECAL_GEN1_map.ncd&quot;
Fri Oct 27 15:57:45 2023


<A name="par_best"></A><B><U><big>Best Par Run</big></U></B>
PAR: Place And Route Diamond (64-bit) 3.12.0.240.2.
Command Line: par -w -l 5 -i 6 -t 1 -c 0 -e 0 -gui -msgset &quot;C:/Users/User.DESKTOP-9HJ28HQ/Documents/COURS/L2 GEII/S3/TEMP EER/Gen decalage/promote.xml&quot; -exp parUseNBR=1:parCDP=0:parCDR=0:parPathBased=OFF:parASE=1 GENDECAL_GEN1_map.ncd GENDECAL_GEN1.dir/5_1.ncd GENDECAL_GEN1.prf
Preference file: GENDECAL_GEN1.prf.
Placement level-cost: 5-1.
Routing Iterations: 6

Loading design for application par from file GENDECAL_GEN1_map.ncd.
Design name: TOP
NCD version: 3.3
Vendor:      LATTICE
Device:      LCMXO2-7000HE
Package:     TQFP144
Performance: 5
Loading device for application par from file &apos;xo2c7000.nph&apos; in environment: C:/lscc/diamond/3.12/ispfpga.
Package Status:                     Final          Version 1.39.
Performance Hardware Data Status:   Final          Version 34.4.
License checked out.


Ignore Preference Error(s):  True

<A name="par_dus"></A><B><U><big>Device utilization summary:</big></U></B>

   PIO (prelim)    8+4(JTAG)/336     4% used
                   8+4(JTAG)/115     10% bonded

   SLICE             10/3432         &lt;1% used

   GSR                1/1           100% used
   OSC                1/1           100% used


Number of Signals: 26
Number of Connections: 51

Pin Constraint Summary:
   1 out of 8 pins locked (12% locked).

No signal is selected as primary clock.


The following 1 signal is selected to use the secondary clock routing resources:
    CPT[1] (driver: SLICE_0, clk load #: 8, sr load #: 0, ce load #: 0)

Signal I_RST_c is selected as Global Set/Reset.
.
Starting Placer Phase 0.
.........
Finished Placer Phase 0.  REAL time: 2 secs 

Starting Placer Phase 1.
...................
Placer score = 3056.
Finished Placer Phase 1.  REAL time: 8 secs 

Starting Placer Phase 2.
.
Placer score =  3056
Finished Placer Phase 2.  REAL time: 8 secs 



<A name="par_clk"></A><B><U><big>Clock Report</big></U></B>

Global Clock Resources:
  CLK_PIN    : 0 out of 8 (0%)
  PLL        : 0 out of 2 (0%)
  DCM        : 0 out of 2 (0%)
  DCC        : 0 out of 8 (0%)

Global Clocks:
  SECONDARY &quot;CPT[1]&quot; from Q0 on comp &quot;SLICE_0&quot; on site &quot;R14C18B&quot;, clk load = 8, ce load = 0, sr load = 0

  PRIMARY  : 0 out of 8 (0%)
  SECONDARY: 1 out of 8 (12%)

Edge Clocks:
  No edge clock selected.




I/O Usage Summary (final):
   8 + 4(JTAG) out of 336 (3.6%) PIO sites used.
   8 + 4(JTAG) out of 115 (10.4%) bonded PIO sites used.
   Number of PIO comps: 8; differential: 0.
   Number of Vref pins used: 0.

I/O Bank Usage Summary:
+----------+---------------+------------+-----------+
| I/O Bank | Usage         | Bank Vccio | Bank Vref |
+----------+---------------+------------+-----------+
| 0        | 1 / 28 (  3%) | 2.5V       | -         |
| 1        | 0 / 29 (  0%) | -          | -         |
| 2        | 0 / 29 (  0%) | -          | -         |
| 3        | 0 / 9 (  0%)  | -          | -         |
| 4        | 0 / 10 (  0%) | -          | -         |
| 5        | 7 / 10 ( 70%) | 2.5V       | -         |
+----------+---------------+------------+-----------+

Total placer CPU time: 3 secs 

Dumping design to file GENDECAL_GEN1.dir/5_1.ncd.

0 connections routed; 51 unrouted.
Starting router resource preassignment

WARNING - par: The following clock signals will be routed by using generic routing resource and may suffer from excessive delay and/or skew.
   Signal=INT_CLK1 loads=2 clock_loads=2

Completed router resource preassignment. Real time: 10 secs 

Start NBR router at 15:57:55 10/27/23

*****************************************************************
Info: NBR allows conflicts(one node used by more than one signal)
      in the earlier iterations. In each iteration, it tries to  
      solve the conflicts while keeping the critical connections 
      routed as short as possible. The routing process is said to
      be completed when no conflicts exist and all connections   
      are routed.                                                
Note: NBR uses a different method to calculate timing slacks. The
      worst slack and total negative slack may not be the same as
      that in TRCE report. You should always run TRCE to verify  
      your design.                                               
*****************************************************************

Start NBR special constraint process at 15:57:55 10/27/23

Start NBR section for initial routing at 15:57:56 10/27/23
Level 4, iteration 1
0(0.00%) conflict; 0(0.00%) untouched conn; 0 (nbr) score; 
Estimated worst slack/total negative slack&lt;setup&gt;: 478.195ns/0.000ns; real time: 11 secs 

Info: Initial congestion level at 75% usage is 0
Info: Initial congestion area  at 75% usage is 0 (0.00%)

Start NBR section for normal routing at 15:57:56 10/27/23
Level 4, iteration 1
0(0.00%) conflict; 0(0.00%) untouched conn; 0 (nbr) score; 
Estimated worst slack/total negative slack&lt;setup&gt;: 478.195ns/0.000ns; real time: 11 secs 

Start NBR section for setup/hold timing optimization with effort level 3 at 15:57:56 10/27/23

Start NBR section for re-routing at 15:57:56 10/27/23
Level 4, iteration 1
0(0.00%) conflict; 0(0.00%) untouched conn; 0 (nbr) score; 
Estimated worst slack/total negative slack&lt;setup&gt;: 478.195ns/0.000ns; real time: 11 secs 

Start NBR section for post-routing at 15:57:56 10/27/23

End NBR router with 0 unrouted connection

NBR Summary
-----------
  Number of unrouted connections : 0 (0.00%)
  Number of connections with timing violations : 0 (0.00%)
  Estimated worst slack&lt;setup&gt; : 478.195ns
  Timing score&lt;setup&gt; : 0
-----------
Notes: The timing info is calculated for SETUP only and all PAR_ADJs are ignored.



WARNING - par: The following clock signals will be routed by using generic routing resource and may suffer from excessive delay and/or skew.
   Signal=INT_CLK1 loads=2 clock_loads=2

Total CPU time 4 secs 
Total REAL time: 11 secs 
Completely routed.
End of route.  51 routed (100.00%); 0 unrouted.

Hold time timing score: 0, hold timing errors: 0

Timing score: 0 

Dumping design to file GENDECAL_GEN1.dir/5_1.ncd.


All signals are completely routed.


PAR_SUMMARY::Run status = Completed
PAR_SUMMARY::Number of unrouted conns = 0
PAR_SUMMARY::Worst  slack&lt;setup/&lt;ns&gt;&gt; = 478.195
PAR_SUMMARY::Timing score&lt;setup/&lt;ns&gt;&gt; = 0.000
PAR_SUMMARY::Worst  slack&lt;hold /&lt;ns&gt;&gt; = 0.372
PAR_SUMMARY::Timing score&lt;hold /&lt;ns&gt;&gt; = 0.000
PAR_SUMMARY::Number of errors = 0

Total CPU  time to completion: 5 secs 
Total REAL time to completion: 11 secs 

par done!

Note: user must run &apos;Trace&apos; for timing closure signoff.

Copyright (c) 1991-1994 by NeoCAD Inc. All rights reserved.
Copyright (c) 1995 AT&amp;T Corp.   All rights reserved.
Copyright (c) 1995-2001 Lucent Technologies Inc.  All rights reserved.
Copyright (c) 2001 Agere Systems   All rights reserved.
Copyright (c) 2002-2020 Lattice Semiconductor Corporation,  All rights reserved.



<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
</PRE></FONT>
</BODY>
</HTML>
